Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.5.1

Bug #4993 JavaScript Error
Submitted: 2005-08-04 02:27 UTC Modified: 2006-12-24 14:50 UTC
From: jan dot bolmeson at ivtaco dot se Assigned: farell
Status: Closed Package: HTML_QuickForm_advmultiselect
PHP Version: Irrelevant OS: Irrelevant
Roadmaps: (Not assigned)    
Subscription  


 [2005-08-04 02:27 UTC] jan dot bolmeson at ivtaco dot se
Description: ------------ Hi, When using the package I get a JavaScript Error when I transfer options between the two selects. The javascript error occurs even in the supplied examples in the PEAR::docs directory. The javascript error is: r.options[i] has no properties and it is raised by the following row: h.options[h.length] = new Option(r.options[i].text, r.options[i].value); I use the following version of AMS: * @version CVS: $Id: advmultiselect.php,v 1.3 2005/07/25 15:47:15 farell Exp $ Test script: --------------- examples in docs-directory Expected result: ---------------- an execution without javascript errors. Actual result: -------------- JavaScript error is raised; see description.

Comments

 [2005-08-04 09:27 UTC] farell
This bug has been fixed in CVS. In case this was a documentation problem, the fix will show up at the end of next Sunday (CET) on pear.php.net. In case this was a pear.php.net website problem, the change will show up on the website in short time. Thank you for the report, and for helping us make PEAR better. This fix will be part of next release 0.5.1 very soon. Thanks again to report Laurent Laville